﻿//--------------------------------------------------------------------------------
// COMMON FUNCTIONS

// starts with function
String.prototype.startsWith = function(prefix) {
    return (this.toUpperCase().substr(0, prefix.length) === prefix.toUpperCase());
}

// Numeric only values for input boxes
jQuery.fn.ForceNumericOnly =
function() {
    return this.each(function() {
        $(this).keyup(function(e) {
            this.value = this.value.replace(/[^0-9\.,]/g, '');
        })
    })
};

/**
* Rounds a number to two decimal places.
* 7.335 is rounded to (7.34) so 5/100 always does ceiling)
* @n the number to round (float type expected)
* @return a rounded number (you may need to pad this to 2 decial places)
*/
function round(n, d) {
    if (Number(d) < 1)
        return Math.round(Number(n));
    var np = 1;
    for (var i = 0; i < d; i++) {
        np = np * 10
    }
    return Math.round(Number(n) * Number(np)) / Number(np);
}

function trim(value) {
    return value.replace(/^s+/, "").replace(/s+$/, "");
}

//--------------------------------------------------------------------------------

$(document).ready(function() {
    // prompt on delete
    $("input[type='submit'][name*='delete']").click(function(event) {
        var answer = confirm(getTranslation("Are you sure you want to delete this item"));
        if (!answer) { return false; }
    });

    $("div[class*='required']").append("<p style=\"position: absolute; top: -3px; left: -10px; font-size: 20px;\">*</p>");

});