﻿$(document).ready(function() {
    //progress bar implementation
    //    $("#progressbar").progressbar({ value: 0 });
    //    $("#advancedSearchSubmit").click(function() {
    //        //$("#progressbar").progressbar({ value: 0 });
    //        var intervalID = setInterval(updateProgress, 250);
    //        document.advancedSearchForm.submit();
    //        return false;
    //    });
    //end progress bar implementation


    $("#dialog:ui-dialog").dialog("destroy");
    //always close the SpectroData table on close
    $("#spectroDevice").change(function() {
        $("#Measurements").css("display", "none");
        $("input#selectSpectroData").css({ 'background-image': '' });
    });

    $("#UnlinkSpectroMeasurement").click(function() {
        $warningUnlinkDialog.dialog('open');
    });

    $(function() {
        $("#startDate").datepicker({
            showOn: "button",
            buttonImage: "/Content/css/themes/images/calendar.gif",
            buttonImageOnly: true,
            firstDay: 1,
            dateFormat: $("#dateFormat").val(),
            showAnim: "slideDown",
            changeYear: true
        });
    });
    $(function() {
        $("#endDate").datepicker({
            showOn: "button",
            buttonImage: "/Content/css/themes/images/calendar.gif",
            buttonImageOnly: true,
            firstDay: 1,
            dateFormat: $("#dateFormat").val(),
            showAnim: "slideDown",
            changeYear: true
        });
    });

    //when nothing was found set back the previous selected measurement
    if ($("#selectedSpectralDataId").val() != "") {
        $("#" + $("#selectedSpectralDataId").val()).click();
    }

});


// modal dialog saving animation
var $warningUnlinkDialog = $("#unlinkMessage").dialog({
    autoOpen: false,
    resizable: false,
    width: 300,
    modal: true,
    buttons: {
        "Ok": function() {
            $(this).dialog("close");
            $savewaitingDialog.dialog("open");
            unLinkSpectroMeasurement($('#FormulaId').val(), $('#ColorId').val());
            $savewaitingDialog.dialog("close");
        },
        Cancel: function() {
            $(this).dialog("close");
        }
    }
});

var $spectro = $("#popupSpectroMeasurements").dialog({
    autoOpen: false,
    width: 800,
    modal: true,
    title: 'Spectro Measurements'
});


function openSpectroDialog(id) {
    $spectro.dialog('open');
}
function closeSpectroDialog(chiproot) {
    $('div[role="dialog"]').fadeOut('slow', function() { $spectro.dialog('close'); });
    //$("#Color").attr("src", chiproot + "/Spectro/" + $("input#selectSpectroData").val() + ".jpg");
    $("#Color").attr("src", chiproot);

}
function unLinkSpectroMeasurement(formulaId, colorId) {
    $("#unlinkSpectro").val("true")
    deleteChipImage($("#Color").attr("src"));
    $("#Color").attr("src", "/Content/Pics/NoColor.jpg");
    $("#linkSpectroMeasurement").css("display", "block");
    $("#UnlinkSpectroMeasurement").css("display", "none");
}

$.fn.setSelectedMeasurement = function(chiproot) {
    $("input#selectSpectroData").val("Reading # " + $("input#measurementNr").val() + " " + $("input#measurementName").val());
    var tOffset = $("input#selectSpectroData").width() - 20;
    //$("input#selectSpectroData").css({ 'background-image': 'url(' + chiproot + '/Spectro/' + $("input#selectedSpectralDataId").val() + '.jpg)', 'background-repeat': 'no-repeat', 'background-position': tOffset + 'px 0px', 'overflow': 'hidden', 'cursor': 'default' });
    $("input#selectSpectroData").css({ 'background-image': 'url(' + chiproot, 'background-repeat': 'no-repeat', 'background-position': '3px center', 'cursor': 'default', 'padding-left': '21px' });
    //$("#spectroMeasurementsDropDown").fadeOut('slow', function() { });
    $('#mask, .window').hide();
    //$("input#selectSpectroData").click();
    $('#Measurements').hide();
    $('#b5').toggleButtonText('Show Measurements', 'Hide Measurements');
    $('#b1').toggleButtonText('Show All', 'Hide All');
    closeSpectroDialog(chiproot);
};
$.fn.linkSelectedMeasurement = function(chiproot) {

    //delete current
    deleteChipImage($("#Color").attr("src"));
    $("#unlinkSpectro").val("false");

    $("#linkSpectroMeasurement").css("display", "none");
    $("#UnlinkSpectroMeasurement").css("display", "block");

    $("input#selectSpectroData").val($("input#selectedSpectralDataId").val());
    $("#selectedDeviceId").val($("input#deviceId").val());
    $("#selectedCacheId").val($("input#cacheId").val());
    closeSpectroDialog(chiproot);
    somethingChanged();
};

$.fn.getMeasurements = function(dtFrom, dtUntil) {

    $("#deviceName").text($('select#spectroDevice option:selected').text());
    //    
    var dateFrom = "";
    var dateUntil = "";

    switch (dtFrom) {
        case "":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "date" }, success: function(data) {
                dateFrom = data;
            }
            });
            dateUntil = dateFrom;
            break;
        case "now":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "date" }, success: function(data) {
                dateFrom = data;
            }
            });
            dateUntil = dateFrom;
            break;
        case "weekStart":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "weekStart" }, success: function(data) {
                dateFrom = data;
            }
            });
            break;
        case "monthStart":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "monthStart" }, success: function(data) {
                dateFrom = data;
            }
            });
            break;
        default:
            dateFrom = dtFrom;
            dateUntil = dtUntil;
    }
    switch (dtUntil) {
        case "weekEnd":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "weekEnd" }, success: function(data) {
                dateUntil = data;
            }
            });
            break;
        case "monthEnd":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "monthEnd" }, success: function(data) {
                dateUntil = data;
            }
            });
            break;
    }
    //make the start and end dates visible
    $('input#startDate').val(dateFrom);
    $('input#endDate').val(dateUntil);

    $.ajax({ url: "/Ajax/Search.mvc/GetMeasurements", async: false, data: ({ dtFrom: dateFrom, dtUntil: dateUntil }), success: function(data) {
        $('div#Measurements').html(data);
    }
    });
};
$.fn.linkMeasurements = function(dtFrom, dtUntil) {

    $("#deviceName").text($('select#spectroDevice option:selected').text());
    //    
    var dateFrom = "";
    var dateUntil = "";
    var deviceId = $('select#spectroDevice option:selected').val();

    switch (dtFrom) {
        case "":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "date" }, success: function(data) {
                dateFrom = data;
            }
            });
            dateUntil = dateFrom;
            break;
        case "now":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "date" }, success: function(data) {
                dateFrom = data;
            }
            });
            dateUntil = dateFrom;
            break;
        case "weekStart":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "weekStart" }, success: function(data) {
                dateFrom = data;
            }
            });
            break;
        case "monthStart":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "monthStart" }, success: function(data) {
                dateFrom = data;
            }
            });
            break;
        default:
            dateFrom = dtFrom;
            dateUntil = dtUntil;
    }
    switch (dtUntil) {
        case "weekEnd":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "weekEnd" }, success: function(data) {
                dateUntil = data;
            }
            });
            break;
        case "monthEnd":
            $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "monthEnd" }, success: function(data) {
                dateUntil = data;
            }
            });
            break;
    }
    //make the start and end dates visible
    $('input#startDate').val(dateFrom);
    $('input#endDate').val(dateUntil);

    $.ajax({ url: "/Ajax/Search.mvc/LinkMeasurements", async: false, data: ({ device: deviceId, dtFrom: dateFrom, dtUntil: dateUntil }), success: function(data) {
        //$('table#SpectroData').html(data);
        $('div#Measurements').html(data);
    }
    });
};
function getMeasurements(deviceId, dateFrom, dateUntil) {

    //Select Measurement (total #:)
    //alert($('select#spectroDevice option:selected').text());
    if (dateFrom == "")
        dateFrom = "01/01/1950"
    if (dateUntil == "") {
        $.ajax({ url: "/Ajax/Search.mvc/getServerDateTime", async: false, data: { sWhat: "date" }, success: function(data) {
            dateUntil = data;
        }
        });
    }
    $("#deviceName").text($('select#spectroDevice option:selected').text());

    var sText = $("input#selectSpectroData").val();
    $("input#selectSpectroData").val($("#updating").val());
    $.ajax({ url: "/Ajax/Search.mvc/GetMeasurementsByDeviceId", async: false, data: ({ device: deviceId, dtFrom: dateFrom, dtUntil: dateUntil }), success: function(data) {
        var arrResult = data.split("§§");
        $('div#measurementsTable').html(arrResult[0]);
        $("input#selectSpectroData").val($("#selectMeasurementText").val().replace("{0}", arrResult[1])); 
        //$("input#selectSpectroData").val("Select Measurement (total #:" + arrResult[1] + ")"); selectMeasurementText
    }
    });
}
function deleteChipImage(ChipImage) {
    //var ChipImage = $("#Color").attr("src");
    //only delete real color images
    if (ChipImage.indexOf("NoColor") == -1) {
        $.ajax({ url: "/Ajax/CustomData.mvc/deleteChipImage", async: false, data: ({ chipImage: ChipImage }), success: function(data) { } });
    }
}
